package com.ruoyi.system.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * App端诊断记录上传入参实体
 *
 * @author gongzhenkun
 * @date 2022/8/9 17:02
 */
@ApiModel(value = "AppRecordReq", description = "App端诊断记录上传入参实体")
public class AppRecordReq implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("记录id")
    private Long id;

    /**
     * 患者
     */
    @ApiModelProperty("患者")
    private Long patientId;

    /**
     * 医生
     */
    @ApiModelProperty("医生id")
    private Long doctorId;

    /**
     * 医院
     */
    @ApiModelProperty("医院id")
    private Long hospitalId;

    /**
     * ai诊断结果
     */
    @ApiModelProperty("ai诊断结果")
    private String aiResult;

    /**
     * 医生诊断结果
     */
    @ApiModelProperty("医生诊断结果")
    private String updateResult;

    /**
     * 上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("上传时间")
    private Date uploadTime;

    /**
     * 舌下
     */
    @ApiModelProperty("舌下(Base64编码)")
    private String imgSx;

    /**
     * 舌上
     */
    @ApiModelProperty("舌上(Base64编码)")
    private String imgSm;

    /**
     * 响应时长
     */
    @ApiModelProperty("响应时长")
    private Long responseTime;

    /**
     * 响应时长
     */
    @ApiModelProperty("ai结果返回时间")
    private Date aiResultReturnTime;

    /**
     * 响应时长
     */
    @ApiModelProperty("ai结果修改时间")
    private Date aiResultModifyTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPatientId() {
        return patientId;
    }

    public void setPatientId(Long patientId) {
        this.patientId = patientId;
    }

    public Long getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Long doctorId) {
        this.doctorId = doctorId;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getAiResult() {
        return aiResult;
    }

    public void setAiResult(String aiResult) {
        this.aiResult = aiResult;
    }

    public String getUpdateResult() {
        return updateResult;
    }

    public void setUpdateResult(String updateResult) {
        this.updateResult = updateResult;
    }

    public Date getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getImgSx() {
        return imgSx;
    }

    public void setImgSx(String imgSx) {
        this.imgSx = imgSx;
    }

    public String getImgSm() {
        return imgSm;
    }

    public void setImgSm(String imgSm) {
        this.imgSm = imgSm;
    }

    public Long getResponseTime() {
        return responseTime;
    }

    public void setResponseTime(Long responseTime) {
        this.responseTime = responseTime;
    }

    public Date getAiResultReturnTime() {
        return aiResultReturnTime;
    }

    public void setAiResultReturnTime(Date aiResultReturnTime) {
        this.aiResultReturnTime = aiResultReturnTime;
    }

    public Date getAiResultModifyTime() {
        return aiResultModifyTime;
    }

    public void setAiResultModifyTime(Date aiResultModifyTime) {
        this.aiResultModifyTime = aiResultModifyTime;
    }
}
