package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.THospital;
import com.ruoyi.system.domain.resp.THospitalPageResp;

/**
 * 医院信息Service接口
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
public interface ITHospitalService 
{
    /**
     * 查询医院信息
     * 
     * @param id 医院信息主键
     * @return 医院信息
     */
    public THospital selectTHospitalById(Long id);

    /**
     * 查询医院信息列表
     * 
     * @param tHospital 医院信息
     * @return 医院信息集合
     */
    public List<THospital> selectTHospitalList(THospital tHospital);

    /**
     * 新增医院信息
     * 
     * @param tHospital 医院信息
     * @return 结果
     */
    public int insertTHospital(THospital tHospital);

    /**
     * 修改医院信息
     * 
     * @param tHospital 医院信息
     * @return 结果
     */
    public int updateTHospital(THospital tHospital);

    /**
     * 批量删除医院信息
     * 
     * @param ids 需要删除的医院信息主键集合
     * @return 结果
     */
    public int deleteTHospitalByIds(Long[] ids);

    /**
     * 删除医院信息信息
     * 
     * @param id 医院信息主键
     * @return 结果
     */
    public int deleteTHospitalById(Long id);

    /**
     * 获取管理员下拉
     * @return
     */
    List<SysUser> getHosptialAdminList();

    /**
     * 分页查询
     * @param tHospital
     * @return
     */
    List<THospitalPageResp> queryByPage(THospital tHospital);
}
